NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.CAM.EngravingBuilder Class Reference

Represents a Engraving Builder More...

Inheritance diagram for NXOpen.CAM.EngravingBuilder:
NXOpen.CAM.PlanarMillingBuilder NXOpen.CAM.PlanarOperationBuilder NXOpen.CAM.MillOperationBuilder NXOpen.CAM.OperationBuilder NXOpen.CAM.ParamBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.CAM.PlanarOperationBuilder
enum  AutomaticPartBoundaryMethodTypes { FollowWallBottom, FollowWallTop }
 Available types for automatic part boundary method in planar mill operation More...
 
- Public Member Functions inherited from NXOpen.CAM.PlanarMillingBuilder
unsafe void SetDrivePointSpecified (bool drivePointSpecified)
 The drive point specified flag More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.CAM.PlanarMillingBuilder
unsafe
NXOpen.CAM.BoundaryPlanarMill 
BlankBoundary [get]
 Returns the blank boundary More...
 
unsafe
NXOpen.CAM.BoundaryPlanarMill 
CheckBoundary [get]
 Returns the check boundary More...
 
unsafe NXOpen.CAM.CutLevelPlanar CutLevel [get]
 Returns the Planar Mill Cut Level builder More...
 
unsafe int DrivePoint [get, set]
 Returns or sets the drive point More...
 
unsafe
NXOpen.CAM.MultiplePassesBuilder 
MultiplePasses [get]
 Returns the Multiple Passes builder More...
 
unsafe
NXOpen.CAM.BoundaryPlanarMill 
PartBoundary [get]
 Returns the part boundary More...
 
unsafe bool Save2dIpw [get, set]
 Returns or sets the Save 2D In-Process Workpiece More...
 
unsafe
NXOpen.CAM.BoundaryPlanarMill 
TrimBoundary [get]
 Returns the trim boundary More...
 
unsafe NXOpen.CAM.Geometry WallGeometry [get]
 Returns the wall geometry builder More...
 
unsafe double ZdepthOffset [get, set]
 Returns or sets the Z-Depth Offset More...
 

Detailed Description

Represents a Engraving Builder

To create a new instance of this class, use NXOpen.CAM.OperationCollection.CreateEngravingBuilder

Created in NX5.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.